1. Pay-Out
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
      • Cleo
      • Contiant
      • emerchantpay
      • Flexepin
      • Forumpay
      • Gigadat
      • Neosurf
      • PayOne
      • PawaPay
      • Trust Payments
      • WorldPay
    • Pay-Out
      • Cleo
        POST
      • Gigadat withdraw ETO
        POST
      • Gigadat withdraw ACH
        POST
      • Forumpay
        POST
      • PayOne
        POST
      • PawaPay
        POST
  • Webhook
    • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-Out

Cleo

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
  "pspType": "CLEO",
  "type": "PAYOUT",
  "baseamount": 120,
  "currency": "CLP",
  "country": "Chile",
  "userId": "test-002",
  "merchantReference": "Test-001"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "pspType": "CLEO",
  "type": "PAYOUT",
  "baseamount": 120,
  "currency": "CLP",
  "country": "Chile",
  "userId": "test-002",
  "merchantReference": "Test-001"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Successfully",
  "isSuccess": true,
  "data": {
    "status": "PENDING",
    "sessionId": "60a74038-5b94-427e-8cff-abc123",
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "merchantReference": "Test-001",
    "amount": 120
  }
}
🟠400
🔴500
Modified at 2026-07-28 13:27:15
Previous
WorldPay
Next
Gigadat withdraw ETO
Built with